Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SmartKey

    java.lang.Object
      com.beasys.commerce.foundation.SmartKey

All Implemented Interfaces
  Serializable, Comparable

Direct Known Subclasses:
  com.beasys.commerce.axiom.contact.ContactPk, OrderPk, PaymentTransactionPk, ShippingMethodPk

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class SmartKey

extends Object
implements Comparable, Serializable

For each Entity there must be a primary key class derived from SmartKey. Implementing SmartKey requires that the classes be serializable and comparable.

See Also
  `Entity`, Serialized Form

Constructor Summary
`SmartKey()` Deprecated See BEA Commerce product offering

Method Summary
`abstract int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object o)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmartKey

    public SmartKey()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### compareTo

    public abstract int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compares a given object with this SmartKey.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws
    `ClastCastException` - if the specified object's type prevents it from being compared with this SmartKey.

### equals

    public boolean equals(Object o)

  Deprecated See BEA Commerce product offering

  Indicates whether some other Object is equivalent to this SmartKey.

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - the Object to be compared.
  Returns
    `true` if the supplied Object is equivalent, `false` otherwise.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a `String` representation of the SmartKey.

  Overrides:
    `toString` in class `Object`
  Returns
    A `String` representation of the SmartKey.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved